Package org.codehaus.janino.util

# Class ClassFile.LineNumberTableAttribute.Entry

java.lang.Object
org.codehaus.janino.util.ClassFile.LineNumberTableAttribute.Entry

Enclosing class:
  `ClassFile.LineNumberTableAttribute`

public static class ClassFile.LineNumberTableAttribute.Entry extends Object
The structure of the entries in the `line_number_table`, as described in JVMS7 4.7.12.

## Field Summary

Fields
Modifier and Type
Field
Description
`final short`
`lineNumber`
The fields of the entries in the `line_number_table`, as described in JVMS7 4.7.12.
`final short`
`startPc`
The fields of the entries in the `line_number_table`, as described in JVMS7 4.7.12.

## Constructor Summary

Constructors
Constructor
Description
`Entry(short startPc, short lineNumber)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### startPc

public final short startPc
The fields of the entries in the `line_number_table`, as described in JVMS7 4.7.12.

### lineNumber

public final short lineNumber
The fields of the entries in the `line_number_table`, as described in JVMS7 4.7.12.

## Constructor Details

### Entry

public Entry(short startPc, short lineNumber)

Parameters:
  `lineNumber` - 1...65535